× Функционирование и эксплуатация Государственной интегрированной информационной системы управления общественными финансами "Электронный бюджет" (ГИИС ЭБ).

Ошибка подписания документов loadCertificatesAsync

15 март 2019 00:43 #11220 от hoge-is
При попытке подписания бюджетных и денежных обязательств в Электронном бюджете периодически отображается следующая ошибка: "Failed to mount: loadCertificatesAsync is not defined"



Лечится... Танцами с бубном.
А потом на следующий день - опять повторяется.
Вчера переустанавливал все программы, относящиеся к работе с электронными подписями, а сегодня опять эта ошибка вылезла.


Компьютер в бухгалтерии один. Используется для работы с ЭБ (подсистема управления расходами), СУФД и сайтом закупок (принятие бюджетных обязательств по государственным контрактам).
В личных сертификатах содержится 5 сертификатов по ГОСТ-2001: 4 сертификата - для СУФД (директор, гл. инженер, гл. бухгалтер, зам.гл.бух), 1 сертификат - для канала Континент-АП к СУФД. ЭБ и сайт закупок используют те же сертификаты.
Все ключи записаны на один Рутокен S.

В чём может быть проблема?
Вложения:

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

15 март 2019 03:59 - 15 март 2019 04:00 #11222 от Wmffre
Попробуйте удалить Capicom (эта архаика для казначейских ресурсов не нужна), Ланит; усановите все vc_redist из дистрибутива ПАК Jinn-Client 1.0.3050.0 (на скриншоте не видно, все ли они установлены); отключите в firefox плагины Jinn-Client, КриптоПро ЭЦП Browser plugin, Java, а оставьте включенными расширения Jinn-Client и КриптоПро ЭЦП Browser plugin.

KES 8 замените на KES 10 - так как ошибка как-то связана с тем, что плагин/расширение не загрузился, он тоже может влиять.

В качестве обходного или тестового варианта можете перейти на Internet Explorer 11 - так как там подписание работает напрямую без использования расширений/плагинов, то сможете понаблюдать, возникает ли она в этом браузере.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

15 март 2019 05:11 #11224 от hoge-is

Попробуйте удалить Capicom (эта архаика для казначейских ресурсов не нужна), Ланит

Удалил (были прописаны в групповой политике, удалил оттуда)

усановите все vc_redist из дистрибутива ПАК Jinn-Client 1.0.3050.0

Три - уже есть, одно - установлена новая версия.

отключите в firefox плагины Jinn-Client, КриптоПро ЭЦП Browser plugin, Java

Перевёл в режим "включать по запросу"

KES 8 замените на KES 10 - так как ошибка как-то связана с тем, что плагин/расширение не загрузился, он тоже может влиять.

Затруднительно. У нас сервер старый, на нём сервер антивирусной защиты восьмой версии, который KES 10 управлять не может.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

15 март 2019 15:11 #11244 от ProshkaSedkazna
Такая же фигня и тоже сегодня 15.03.2019.
Пробовал сбросить настройки пользователя в ЭБ, удалить кэш и историю в мозиле.
Не помогло. Времени пока разбираться более глубоко не было. На другом компе все ок подписалось с тем же сертификатом. Буду ковырять дальше, как время появиться

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

25 март 2019 23:16 #11480 от hoge-is
Задолбало уже это всё
Полностью с нуля переустановил систему
Обновил КриптоПро до самой последней версии
Установил Касперский 10

А подписание документов в ЭБ всё равно не работает. Каждый день начинается с многочасовой е...тни. Потом всё внезапно подписывается - а на следующий день всё повторяется.

При этом в СУФД всё работает исправно.
Какого чёрта вообще эти жертвы неудачного аборта эту хрень использовать решили....

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

26 март 2019 04:31 - 26 март 2019 04:33 #11489 от ViktorGRBS

hoge-is пишет: Задолбало уже это всё
Полностью с нуля переустановил систему
Обновил КриптоПро до самой последней версии
Установил Касперский 10

А подписание документов в ЭБ всё равно не работает. Каждый день начинается с многочасовой е...тни. Потом всё внезапно подписывается - а на следующий день всё повторяется.

При этом в СУФД всё работает исправно.
Какого чёрта вообще эти жертвы неудачного аборта эту хрень использовать решили....

а на какой версии мазиллы у вас всё это совместилось? Мои СУФДшники тоже хотят "всё в одном" но на 37, 48 Мазилле не получилось у меня. Увидел 52.9 ESR. разрешения для плагинов везде стоят: "Разрешать всегда" - ?

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.